## org.eclipse.jst.jsf.common.metadata.query
Interface ITraitVisitor

All Superinterfaces:
  IMetaDataVisitor

All Known Subinterfaces:
  ITraitQueryVisitor

All Known Implementing Classes:
  AbstractTraitQueryVisitor, AbstractTraitVisitor

    public interface ITraitVisitor

extends IMetaDataVisitor

Visitor interface for Traits

NOT to implemented by clients directly. Clients should subclass AbstractTraitVisitor instead.

Provisional API - subject to change

Method Summary
`void` `visit(Trait trait)` Visit the Trait.
`void` `visitCompleted(Trait trait)` Signal that the the trait has been completely visited

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Method Detail

### visit

    void visit(Trait trait)

  Visit the Trait. Implementer cannot assume ordering of trait visiting.

  Parameters:
    `trait` - - must not be null

### visitCompleted

    void visitCompleted(Trait trait)

  Signal that the the trait has been completely visited

  Parameters:
    `trait` -